Subject: Re: bug#2741: Mixed UTF-8 and raw bytes in output of vc-annotate after (set-language-environment "UTF-8")

From: Juanma Barranquero <[email-masked]>
Date: Sun, 22 Mar 2009 02:31:26 +0100

On Sun, Mar 22, 2009 at 02:23, Stefan Monnier <[email-masked]> wrote:

> I don't see a mixture of anything, I just see latin-1 encoded chars
> decoded incorrectly because Emacs somehow decided to try and decode the
> stream using the utf-8 coding-system.

Whatever. What I meant is that the buffer is nominally utf-8, but
contains raw bytes.

> But yes that's a bug.  `vc-annotate' should use the main file's
> coding-system to decode the annotated text, regardless of
> language environment.

It seems also a bug that the behavior is different between

   emacs -Q --eval "(set-language-environment \"UTF-8\")"

and

  set LANG=utf8.UTF-8
  emacs -Q

when, in both cases, `current-language-environment' is "UTF-8".

    Juanma